-- Client stuff.
include "Client/graphics.lua"
include "Client/font.lua"
include "Client/bk.lua"
include "Client/fade.lua"
include "Client/tsc.lua"
include "Client/msgbox.lua"
include "Client/title.lua"

-- These functions get called by the exe.
function GAME:Init()
	font.init()
	console.debug("Init complete. Entering main game loop.")
	console.debug("")
end

function GAME:Think()
	tsc.think()
	background.think()
	stage.think()
	fade.think()
	msgbox.think()
	title.think()
	console.think()
end

function GAME:Draw(screen)
	-- Order is important!
	-- Draw things back to front
	background.draw(screen)
	stage.draw(screen)
	fade.draw(screen)
	msgbox.draw(screen)
	title.draw(screen)
	console.draw(screen)
end

console.debug("Client scripts loaded successfully.")
console.debug("")
